tomcat-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Mladen Turk <mt...@apache.org>
Subject Re: Tagging 5.5.20
Date Fri, 08 Sep 2006 17:27:23 GMT
Remy Maucherat wrote:
> 
> I still don't see much usefulness. 1.1.4 doesn't contain any serious 
> fixes over 1.1.3, but causes a warning.

http://svn.apache.org/viewvc/tomcat/connectors/trunk/jni/native/src/network.c?r1=412388&r2=415547&diff_format=h

It doesn't set/restore the timeout for each socket read/write operation
any more, so it's a performance upgrade.

> If later there's a security 
> issue needing a 1.1.5, there will not be any warning.
> 

But then we'll update the 'recommended' to 1.1.5 in listener.

Really don't get it why are you against such a change.
In general it means that native will work with 'minimum'
version (API related), but the particular Tomcat release
'recommends at least' the noted version, with any consequitive
version without warning.

Don't see what's the problem with something like that.

Regards,
Mladen.


---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@tomcat.apache.org
For additional commands, e-mail: dev-help@tomcat.apache.org


Mime
View raw message